Subject: Re: bug#36597: 27.0.50; rehash hash tables eagerly in pdumper

From: Andy Moreton <[email-masked]>
Date: Tue, 11 Aug 2020 19:27:00 +0100

On Tue 11 Aug 2020, Paul Eggert wrote:

> On 8/11/20 10:00 AM, Eli Zaretskii wrote:
>>> I suggest going back to Fmake_vector (h->hash, Qnil), as in the
>>> attached patch. It's shorter, and it actually compiles.
>> Yes, I did that, thanks.
>
> The compilation issue was due to pdumper enabling -Wconversion, which causes
> more trouble than it cures (but that is a different topic). I worked around
> the glitch by installing the attached further patch, which should also help
> explain the motivation for make_nil_vector.

Eli's fixes have addressed issues with the MinGW toolchains, but Mingw64
64bit builds are still broken:

C:/emacs/git/emacs/master/src/pdumper.c: In function 'dump_read_all':
C:/emacs/git/emacs/master/src/pdumper.c:5078:60: error: conversion from 'size_t' {aka 'long long unsigned int'} to 'unsigned int' may change value [-Werror=conversion]
 5078 |       ssize_t chunk = read (fd, (char *) buf + bytes_read, chunk_to_read);
      |                                                            ^~~~~~~~~~~~~